"""Analytics frame rate checker."""

from typing import Protocol

from luna_analytics_manager.base import FrameCtx


class FrameRateChecker(Protocol):
    """Frame rate checker."""

    async def checkFrameSkip(self, frameCtx: FrameCtx) -> bool:
        """Check the frame is needed to be skipped."""
